Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227098 - Review Request: plexus-bsh-factory-1.0-0.a7s.2jpp - Plexus Component Creator
Summary: Review Request: plexus-bsh-factory-1.0-0.a7s.2jpp - Plexus Component Creator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:50 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:04:04 UTC
pcheung: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:50:33 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-bsh-factory-1.0-0.a7s.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-bsh-factory-1.0-0.a7s.2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-bsh-factory.

Comment 2 Permaine Cheung 2007-03-05 15:24:30 UTC
i'll take this one.

Comment 3 Permaine Cheung 2007-03-05 16:11:49 UTC
Please fix items marked by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
X license field matches the actual license.
 This is MIT-Style license
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
 - the tar command in the comments will create a
plexus-bsh-factory-1.0-alpha-7-SNAPSHOT.tar.gz, but Source0 is %{name}-src.tar.gz.
 - md5sum mismatch, but diff -r shows contents are the same.
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X license text included in package and marked with %doc
- no license marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output
W: plexus-bsh-factory non-standard-group Development/Java -this is ok
W: plexus-bsh-factory mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line
57) -please fix this

* changelog format is ok
* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - should have %define _with_gcj_support 1 at the top of the spec file, please
get rid of %define _with_gcj_support 0 and %define gcj_support 0
-  the %define gcj_support .... doesn't seems like it can be split up
  into multiple lines
- don't we need a %define _without_maven 1 for building in plague?
- for the %post and %postun, the if condition should probably be before the
 the %post[,un] so that there won't be an empty %post[,un] if gcj_support is 0.
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see

http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
will do these when issues are fixed
* run rpmlint on the binary RPMs

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
will try to build after issues are fixed, and BR's are built.


Comment 4 Permaine Cheung 2007-03-07 04:47:41 UTC
The url for spec file and srpm now point to spec file and srpm for
plexus-runtime-builder. Please fix them. Thanks!

Comment 7 Deepak Bhole 2007-03-10 00:11:57 UTC
er, should have stated what I fixed:

1. BR's are fixed
2. Files section is fixed
3. Tarball creation command is fixed
4. License is fixed
5. Spacing is fixed

Since the project does not include a License.txt, there is nothing to put s %doc
for that.

Comment 8 Permaine Cheung 2007-03-12 14:34:52 UTC
* run rpmlint on the binary RPMs built in mock:
[pcheung@to-fcjpp1 review]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-*rpm
W: plexus-bsh-factory non-standard-group Development/Java
W: plexus-bsh-factory non-standard-group Development/Java
W: plexus-bsh-factory no-documentation

[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.src.rpm
jpackage-utils >= 0:1.7.2
ant
bsh
classworlds
plexus-container-default
plexus-utils
java-gcj-compat-devel
rpmlib(CompressedFileNames) <= 3.0.4-1
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.src.rpm
(none)[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-develox86_64-core-jpp17-pcheung/result/plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.
plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.src.rpm
plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.x86_64.rpm
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.x86_64.rpm
bsh-factory-1.0.jar.so()(64bit)
config(plexus-bsh-factory) = 0:1.0-0.1.a7s.2jpp.1.fc7
plexus-bsh-factory = 0:1.0-0.1.a7s.2jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-1.0-0.1.a7s.2jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
bsh
classworlds
config(plexus-bsh-factory) = 0:1.0-0.1.a7s.2jpp.1.fc7
java-gcj-compat
java-gcj-compat
jpackage-utils >= 0:1.7.2
jpackage-utils >= 0:1.7.2
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
plexus-container-default
plexus-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-debuginfo-1.0-0.1.a7s.2jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-bsh-factory-debuginfo-1.0-0.1.a7s.2jpp.1.fc7.x86_64.rpm
bsh-factory-1.0.jar.so.debug()(64bit)
plexus-bsh-factory-debuginfo = 0:1.0-0.1.a7s.2jpp.1.fc7

APPROVED.

In the future when fixing defining gcj_support to 1, the if condition should
probably be before the  the %post[,un] so that there won't be an empty %post[,un].


Reassigning to you to be built in brew.

Comment 9 Deepak Bhole 2007-03-12 14:44:44 UTC
New Package CVS Request
=======================
Package Name: plexus-bsh-factory
Short Description: Plexus Component Creator
Owners: dbhole@redhat.com
Branches: devel



Comment 10 Bernard Johnson 2007-04-11 22:49:23 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.